summaryrefslogtreecommitdiffstats
path: root/testing/rtnppd/rtnppd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/rtnppd/rtnppd.initd')
-rw-r--r--testing/rtnppd/rtnppd.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/testing/rtnppd/rtnppd.initd b/testing/rtnppd/rtnppd.initd
new file mode 100644
index 00000000..6fcd6c2b
--- /dev/null
+++ b/testing/rtnppd/rtnppd.initd
@@ -0,0 +1,21 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DAEMON=/usr/sbin/rtnppd
+USER=rtnppd
+
+start() {
+ ebegin "Starting $(basename $DAEMON)"
+ start-stop-daemon --start --user ${USER} --exec ${DAEMON} \
+ -- ${RTNPPD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping $(basename $DAEMON)"
+ start-stop-daemon --stop --exec ${DAEMON}
+ eend $?
+}
+